%global svnrev r114

Name:           pynie
Version:        0.0.%{svnrev}
Release:        1%{?dist}
Summary:        Implementation of Python 3 on top of the Parrot virtual machine 

Group:          Development/Languages
License:        Artistic 2.0
URL:            http://code.google.com/p/pynie/

# Upstream appears not to have released tarballs yet.

# The following was obtained from an SVN checkout thus:
#   svn export -r 114 http://pynie.googlecode.com/svn/trunk/ pynie-r114
#   tar -czvf pynie-r114.tar.gz pynie-r114

Source0:        pynie-%{svnrev}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  parrot-devel

BuildRequires:  gmp-devel
BuildRequires:  libicu-devel
BuildRequires:  readline-devel


%description
Pynie is an implementation of Python 3 on top of the Parrot virtual machine.

%prep
%setup -q -n %{name}-%{svnrev}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

# Upstream doesn't have an installation process yet.

# For now, simply copy up the pynie binary to /usr/bin:
mkdir -p %{buildroot}/%{_bindir}
install -m 755 pynie %{buildroot}/%{_bindir}

 
%clean
rm -rf $RPM_BUILD_ROOT

%check
%{__python} setup.py test || echo $?

# Three failures currently seen running tests:
#
# Null PMC access in set_integer_native()
# current instr.: '_block11' pc 0 (EVAL_2:8)
# called from Sub 'pynie;PCT;HLLCompiler;eval' pc -1 ((unknown file):-1)
# called from Sub 'pynie;PCT;HLLCompiler;evalfiles' pc 1318 (compilers/pct/src/PCT/HLLCompiler.pir:714)
# called from Sub 'pynie;PCT;HLLCompiler;command_line' pc 1504 (compilers/pct/src/PCT/HLLCompiler.pir:801)
#
# ======================================================================
# ERROR: 6
# ----------------------------------------------------------------------
# RemoteException: lost connection during test '6'
# 
# Null PMC access in set_integer_native()
# current instr.: '_block11' pc 0 (EVAL_2:8)
# called from Sub 'pynie;PCT;HLLCompiler;eval' pc -1 ((unknown file):-1)
# called from Sub 'pynie;PCT;HLLCompiler;evalfiles' pc 1318 (compilers/pct/src/PCT/HLLCompiler.pir:714)
# called from Sub 'pynie;PCT;HLLCompiler;command_line' pc 1504 (compilers/pct/src/PCT/HLLCompiler.pir:801)
# 
# ======================================================================
# ERROR: right shift assign
# ----------------------------------------------------------------------
# RemoteException: lost connection during test 'right shift assign'
# 
# Null PMC access in set_integer_native()
# current instr.: '_block11' pc 0 (EVAL_2:8)
# called from Sub 'pynie;PCT;HLLCompiler;eval' pc -1 ((unknown file):-1)
# called from Sub 'pynie;PCT;HLLCompiler;evalfiles' pc 1318 (compilers/pct/src/PCT/HLLCompiler.pir:714)
# called from Sub 'pynie;PCT;HLLCompiler;command_line' pc 1504 (compilers/pct/src/PCT/HLLCompiler.pir:801)
# 
# ======================================================================
# ERROR: left shift
# ----------------------------------------------------------------------
# RemoteException: lost connection during test 'left shift'
# 
# ----------------------------------------------------------------------
# Ran 155 tests in 21.859s
# 
# FAILED (errors=3)

%files
%defattr(-,root,root,-)
%doc CREDITS LICENSE MAINTAINER README
%{_bindir}/pynie

%changelog
* Mon May 17 2010 David Malcolm <dmalcolm@redhat.com> - 0.1-1
- initial packaging

